from machine import Pin, I2C
import time
from ssd1306  import SSD1306_I2C
import framebuf

i2c = I2C(0,sda=Pin(21),scl=Pin(22),freq=40000)
oled = SSD1306_I2C(128,64,i2c)

def open_img(ruta):
    doc = open(ruta, "rb")
    doc.readline()
    xy = doc.readline()
    x = int(xy.split()[0])
    y = int(xy.split()[1]) 
    icono = bytearray(doc.read())
    doc.close()
    return framebuf.FrameBuffer(icono, x, y, framebuf.MONO_HLSB)

oled.blit(open_img("pictures/python.pbm"), 40 ,10)
oled.show()
time.sleep(2)
oled.fill(0)

while True:
      oled.blit(open_img("pictures/0n.pbm"), 60 ,20)
      oled.show()
      time.sleep(1) 
      oled.fill(0)

      oled.blit(open_img("pictures/1n.pbm"), 60 ,20)
      oled.show()
      time.sleep(1) 
      oled.fill(0)

      oled.blit(open_img("pictures/2n.pbm"), 60 ,20)
      oled.show()
      time.sleep(1) 
      oled.fill(0)

      oled.blit(open_img("pictures/3n.pbm"), 60 ,20)
      oled.show()
      time.sleep(1) 
      oled.fill(0)
      
      oled.blit(open_img("pictures/4n.pbm"), 60 ,20)
      oled.show()
      time.sleep(1) 
      oled.fill(0)

      oled.blit(open_img("pictures/5n.pbm"), 60 ,20)
      oled.show()
      time.sleep(1) 
      oled.fill(0)

      oled.blit(open_img("pictures/6n.pbm"), 60 ,20)
      oled.show()
      time.sleep(1) 
      oled.fill(0)
      
      oled.blit(open_img("pictures/7n.pbm"), 60 ,20)
      oled.show()
      time.sleep(1) 
      oled.fill(0)

      oled.blit(open_img("pictures/8n.pbm"), 60 ,20)
      oled.show()
      time.sleep(1) 
      oled.fill(0)

      oled.blit(open_img("pictures/9n.pbm"), 60 ,20)
      oled.show()
      time.sleep(1) 
      oled.fill(0) 






   
    






